Update contact
curl --request PUT \
--url https://api.clientcommander.com/v1/people/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"source": "<string>",
"stage": "<string>",
"price": 1,
"timeframe": "<string>",
"background": "<string>",
"tags": [
"<string>"
],
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
'import requests
url = "https://api.clientcommander.com/v1/people/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"source": "<string>",
"stage": "<string>",
"price": 1,
"timeframe": "<string>",
"background": "<string>",
"tags": ["<string>"],
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
source: '<string>',
stage: '<string>',
price: 1,
timeframe: '<string>',
background: '<string>',
tags: ['<string>'],
street: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>'
})
};
fetch('https://api.clientcommander.com/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"success": true,
"message": "Operation completed successfully"
}{
"error": {
"code": "BAD_REQUEST",
"message": "Missing required parameter",
"details": [
{
"field": "personId",
"message": "Required field is missing",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to access this resource",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"details": [
{
"field": "email",
"message": "Must be a valid email address",
"code": "INVALID_FORMAT"
},
{
"field": "phone",
"message": "Phone number is required",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}People
Update Contact
Update an existing contact. Only provided fields are updated.
Partial Updates: Supports PATCH-style partial updates via PUT.
PUT
/
v1
/
people
/
{id}
Update contact
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Path Parameters
Contact ID
Pattern:
^[a-zA-Z0-9_-]{8,}$Body
application/json
Required string length:
1 - 100Required string length:
1 - 100Maximum string length:
255Pattern:
^\+?[1-9]\d{1,14}$Maximum string length:
100Stage ID
Required range:
x >= 0Maximum string length:
100Maximum string length:
5000Maximum array length:
20Required string length:
1 - 50Maximum string length:
200Maximum string length:
100Maximum string length:
2Pattern:
^[A-Z]{2}$Pattern:
^\d{5}(-\d{4})?$⌘I

